Index: trunk/examples/extended/electromagnetic/TestEm16/GNUmakefile
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm16/GNUmakefile	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm16/GNUmakefile	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: GNUmakefile,v 1.5 2007/01/18 10:24:35 vnivanch Exp $
+# $Id: GNUmakefile,v 1.6 2008/06/11 22:52:28 maire Exp $
 # --------------------------------------------------------------
 # GNUmakefile for examples module.  Gabriele Cosmo, 06/04/98.
@@ -17,16 +17,5 @@
 #### G4ANALYSIS_USE := true
 
-ifdef G4ANALYSIS_USE
-  CPPFLAGS += -DG4ANALYSIS_USE
-endif
-
 include $(G4INSTALL)/config/architecture.gmk
-
-ifdef G4ANALYSIS_USE
-  # add -v to see what is going on. 
-  # for the aida-config command see the README file
-  CPPFLAGS += `aida-config --include`
-  LOADLIBS += `aida-config --lib`
-endif
 
 include $(G4INSTALL)/config/binmake.gmk
Index: trunk/examples/extended/electromagnetic/TestEm16/TestEm16.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm16/TestEm16.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm16/TestEm16.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: TestEm16.cc,v 1.3 2007/01/18 09:07:20 hbu Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm16/include/DetectorConstruction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm16/include/DetectorConstruction.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm16/include/DetectorConstruction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorConstruction.hh,v 1.4 2007/01/18 09:07:20 hbu Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm16/include/DetectorMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm16/include/DetectorMessenger.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm16/include/DetectorMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorMessenger.hh,v 1.4 2007/01/18 09:07:20 hbu Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm16/include/EventAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm16/include/EventAction.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm16/include/EventAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventAction.hh,v 1.2 2006/06/29 16:47:31 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm16/include/EventActionMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm16/include/EventActionMessenger.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm16/include/EventActionMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventActionMessenger.hh,v 1.2 2006/06/29 16:47:33 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm16/include/PhysicsList.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm16/include/PhysicsList.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm16/include/PhysicsList.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysicsList.hh,v 1.4 2006/06/29 16:47:35 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm16/include/PhysicsListMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm16/include/PhysicsListMessenger.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm16/include/PhysicsListMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysicsListMessenger.hh,v 1.4 2006/06/29 16:47:37 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm16/include/PrimaryGeneratorAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm16/include/PrimaryGeneratorAction.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm16/include/PrimaryGeneratorAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorAction.hh,v 1.3 2006/06/29 16:47:40 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm16/include/RunAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm16/include/RunAction.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm16/include/RunAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: RunAction.hh,v 1.5 2007/01/18 09:07:20 hbu Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm16/include/SteppingAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm16/include/SteppingAction.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm16/include/SteppingAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingAction.hh,v 1.3 2007/01/18 09:07:20 hbu Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm16/include/SteppingVerbose.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm16/include/SteppingVerbose.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm16/include/SteppingVerbose.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingVerbose.hh,v 1.2 2006/06/29 16:47:46 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //   This class manages the verbose outputs in G4SteppingManager.
Index: trunk/examples/extended/electromagnetic/TestEm16/src/DetectorConstruction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm16/src/DetectorConstruction.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm16/src/DetectorConstruction.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorConstruction.cc,v 1.4 2007/01/18 09:07:20 hbu Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm16/src/DetectorMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm16/src/DetectorMessenger.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm16/src/DetectorMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorMessenger.cc,v 1.3 2007/01/18 09:07:20 hbu Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm16/src/EventAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm16/src/EventAction.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm16/src/EventAction.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventAction.cc,v 1.2 2006/06/29 16:47:52 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm16/src/EventActionMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm16/src/EventActionMessenger.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm16/src/EventActionMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventActionMessenger.cc,v 1.2 2006/06/29 16:47:54 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm16/src/HistoManager.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm16/src/HistoManager.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm16/src/HistoManager.cc	(revision 1230)
@@ -52,6 +52,6 @@
  
   fileName[0] = "testem16";
-  fileType    = "hbook";
-  fileOption  = "--noErrors uncompress";
+  fileType    = "root";
+  fileOption  = "--noErrors export=root uncompress";
   // histograms
   for (G4int k=0; k<MaxHisto; k++) {
Index: trunk/examples/extended/electromagnetic/TestEm16/src/PhysicsList.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm16/src/PhysicsList.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm16/src/PhysicsList.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: PhysicsList.cc,v 1.4 2006/06/29 16:47:56 gunter Exp $
-// GEANT4 tag $Name:  $
+// $Id: PhysicsList.cc,v 1.5 2009/11/19 18:12:32 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -42,10 +42,10 @@
 #include "G4PhotoElectricEffect.hh"
 
-#include "G4MultipleScattering.hh"
-
+#include "G4eMultipleScattering.hh"
 #include "G4eIonisation.hh"
 #include "G4eBremsstrahlung.hh"
 #include "G4eplusAnnihilation.hh"
 
+#include "G4MuMultipleScattering.hh"
 #include "G4MuIonisation.hh"
 #include "G4MuBremsstrahlung.hh"
@@ -143,32 +143,32 @@
     } else if (particleName == "e-") {
       //electron
-      pmanager->AddProcess(new G4MultipleScattering,        -1, 1,1);
-      pmanager->AddProcess(new G4eIonisation,               -1, 2,2);
-      pmanager->AddProcess(new G4eBremsstrahlung,           -1, 3,3);
+      pmanager->AddProcess(new G4eMultipleScattering,       -1, 1, 1);
+      pmanager->AddProcess(new G4eIonisation,               -1, 2, 2);
+      pmanager->AddProcess(new G4eBremsstrahlung,           -1, 3, 3);
       if (SRType)
-      pmanager->AddProcess(new G4SynchrotronRadiation,      -1,-1,4);
+      pmanager->AddProcess(new G4SynchrotronRadiation,      -1,-1, 4);
       else
-      pmanager->AddProcess(new G4SynchrotronRadiationInMat, -1,-1,4); 
-      pmanager->AddProcess(new G4StepLimiter,               -1,-1,5);
+      pmanager->AddProcess(new G4SynchrotronRadiationInMat, -1,-1, 4); 
+      pmanager->AddProcess(new G4StepLimiter,               -1,-1, 5);
      
     } else if (particleName == "e+") {
       //positron
-      pmanager->AddProcess(new G4MultipleScattering,        -1, 1,1);
-      pmanager->AddProcess(new G4eIonisation,               -1, 2,2);
-      pmanager->AddProcess(new G4eBremsstrahlung,           -1, 3,3);
-      pmanager->AddProcess(new G4eplusAnnihilation,          0,-1,4);
+      pmanager->AddProcess(new G4eMultipleScattering,       -1, 1, 1);
+      pmanager->AddProcess(new G4eIonisation,               -1, 2, 2);
+      pmanager->AddProcess(new G4eBremsstrahlung,           -1, 3, 3);
+      pmanager->AddProcess(new G4eplusAnnihilation,          0,-1, 4);
       if (SRType)
-      pmanager->AddProcess(new G4SynchrotronRadiation,      -1,-1,5);
+      pmanager->AddProcess(new G4SynchrotronRadiation,      -1,-1, 5);
       else
-      pmanager->AddProcess(new G4SynchrotronRadiationInMat, -1,-1,5);       
-      pmanager->AddProcess(new G4StepLimiter,               -1,-1,6);
+      pmanager->AddProcess(new G4SynchrotronRadiationInMat, -1,-1, 5);       
+      pmanager->AddProcess(new G4StepLimiter,               -1,-1, 6);
       
     } else if( particleName == "mu+" ||
                particleName == "mu-"    ) {
       //muon
-      pmanager->AddProcess(new G4MultipleScattering,-1, 1,1);
-      pmanager->AddProcess(new G4MuIonisation,      -1, 2,2);
-      pmanager->AddProcess(new G4MuBremsstrahlung,  -1, 3,3);
-      pmanager->AddProcess(new G4MuPairProduction,  -1, 4,4);
+      pmanager->AddProcess(new G4MuMultipleScattering, -1, 1, 1);
+      pmanager->AddProcess(new G4MuIonisation,         -1, 2, 2);
+      pmanager->AddProcess(new G4MuBremsstrahlung,     -1, 3, 3);
+      pmanager->AddProcess(new G4MuPairProduction,     -1, 4, 4);
       
     }
Index: trunk/examples/extended/electromagnetic/TestEm16/src/PhysicsListMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm16/src/PhysicsListMessenger.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm16/src/PhysicsListMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysicsListMessenger.cc,v 1.4 2006/06/29 16:47:58 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm16/src/PrimaryGeneratorAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm16/src/PrimaryGeneratorAction.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm16/src/PrimaryGeneratorAction.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorAction.cc,v 1.3 2006/06/29 16:48:00 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm16/src/RunAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm16/src/RunAction.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm16/src/RunAction.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: RunAction.cc,v 1.8 2007/01/18 10:24:35 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm16/src/SteppingAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm16/src/SteppingAction.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm16/src/SteppingAction.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingAction.cc,v 1.5 2007/01/18 09:07:20 hbu Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm16/src/SteppingVerbose.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm16/src/SteppingVerbose.cc	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm16/src/SteppingVerbose.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingVerbose.cc,v 1.2 2006/06/29 16:48:06 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
